local CustomLogin = {
	Account1 = {	UserName = "Account1",	Password = "Password1",	},
	Account2 = {	UserName = "Account2",	Password = "Password2",	},
	Account3 = {	UserName = "Account3",	Password = "Password3",	},
	Account4 = {	UserName = "Account4",	Password = "Password4",	},
	Account5 = {	UserName = "Account5",	Password = "Password5",	},
	Account6 = {	UserName = "Account6",	Password = "Password6",	},
	Account7 = {	UserName = "Account7",	Password = "Password7",	},
	Account8 = {	UserName = "Account8",	Password = "Password8",	}
}

local CustomLoginSettings ={
	SHOW_EULA	= false,	-- Options: false / true		... Show the useragreement on login?
	SLOWFADE	= false,	-- Options: false / true		... Use the default fadetime?
	RoM_VERSION	= "|cffCC0000Multi-Login|r 2.0.7.1839.en (By |cffCC0000Zilvermoon|r)",
}

ACCOUNTLOGIN_FADEIN_TIME1 = 1.0;
ACCOUNTLOGIN_FADEIN_TIME2 = 1.5;
ACCOUNTLOGIN_AGREEMENT = 1;


function AccountLogin_OnShow()
	if ( ACCOUNTLOGIN_AGREEMENT ) then
		ACCOUNTLOGIN_AGREEMENT = nil;
		AccountLogin:Hide();
		UserAgreement:Show();
	else
		if AccountLoginAccountEdit:GetText() ~= nil then
			AccountLoginPasswordEdit:SetFocus();
		else
		AccountLoginAccountEdit:SetFocus();
		end

	end
end

function AccountLogin_OnKeyDown(this, key)
	if ( key == "ESCAPE" ) then
		AccountLogin_Exit();
	end
end

function AccountLogin_OnKeyUp(this, key)

end

function AccountLogin_OnMouseDown(this, key)

end

function AccountLogin_OnMouseUp(this, key)

end

function AccountLogin_OnUpdate(this, elapsedTime)
	if ( AccountLogin.update ) then
		AccountLogin.update = AccountLogin.update + elapsedTime;
		Alpha = ( AccountLogin.update - ACCOUNTLOGIN_FADEIN_TIME1 ) / ACCOUNTLOGIN_FADEIN_TIME2;
		if( Alpha < 0 )then
			Alpha = 0;
		elseif( Alpha > 1.0 )then
			Alpha = 1.0;
		end
		AccountLogin:SetAlpha( Alpha );

		if ( Alpha >= 1.0 ) then
			AccountLogin.update = nil;
		end
	end
end

function AccountLogin_Login()
	DefaultServerLogin(AccountLoginAccountEdit:GetText(), AccountLoginPasswordEdit:GetText());
	AccountLoginPasswordEdit:SetText("");
	AccountLoginAccountEdit:ClearFocus();
	AccountLoginPasswordEdit:ClearFocus();
end

function AccountLogin_FocusPassword()
	AccountLoginPasswordEdit:SetFocus();
end

function AccountLogin_FocusAccountName()
	AccountLoginAccountEdit:SetFocus();
end

function AccountLoginPasswordEdit_OnGained(this, arg1)
	
end

function AccountLoginPasswordEdit_SetText(text)
	AccountLoginPasswordEdit:InsertChar(text);
end

function AccountLogin_Exit()
	QuitGame();
end

function AccountLogin_OnLoad()
	CustomLogin_OnLoad();
	local imageLocation = GetImageLocation("LOGO");
	local file = "Interface\\Login\\Logo\\"..imageLocation.."\\RA_LOGO";
	AccountLogin.update = nil;
	AccountLoginVersion:SetText(GetVersion());
	AccountLoginLogo:SetTexture(file);
end

function AccountLogin_Show()
	AccountLogin.update = 0;
	AccountLogin:SetAlpha(0);
	AccountLogin:Show();
end

local function ReturnLoginID(ID)
	if		( ID == 1 )	then	return CustomLogin.Account1.UserName, CustomLogin.Account1.Password;
	elseif	( ID == 2 )	then	return CustomLogin.Account2.UserName, CustomLogin.Account2.Password;
	elseif	( ID == 3 )	then	return CustomLogin.Account3.UserName, CustomLogin.Account3.Password;
	elseif	( ID == 4 )	then	return CustomLogin.Account4.UserName, CustomLogin.Account4.Password;
	elseif	( ID == 5 )	then	return CustomLogin.Account5.UserName, CustomLogin.Account5.Password;
	elseif	( ID == 6 )	then	return CustomLogin.Account6.UserName, CustomLogin.Account6.Password;
	elseif	( ID == 7 )	then	return CustomLogin.Account7.UserName, CustomLogin.Account7.Password;
	elseif	( ID == 8 )	then	return CustomLogin.Account8.UserName, CustomLogin.Account8.Password;
	end
end

function CustomLogin_OnLoad()
	if ( not CustomLoginSettings.SLOWFADE ) then
		ACCOUNTLOGIN_FADEIN_TIME1 = 0.001;
		ACCOUNTLOGIN_FADEIN_TIME2 = 0.001;
	end
	if (not CustomLoginSettings.SHOW_EULA ) then
		ACCOUNTLOGIN_AGREEMENT = false;
	end

	for i=1, 8 do
		local Name, Pass = ReturnLoginID(i);
		if ( ( Name ~= nil ) and ( Name ~= "" ) and ( Name ~= " " ) ) then
			button = getglobal("CustomLoginButton"..i);
			button:SetText(Name);
		else
			button = getglobal("CustomLoginButton"..i);
			button:Hide();
		end
	end
	MultiLoginVersion:SetText(CustomLoginSettings.RoM_VERSION);
end

function CustomLoginButton_OnClick(ID)
	local Name, Pass = ReturnLoginID(ID);
	AccountLoginAccountEdit:SetText(Name);
	AccountLoginPasswordEdit:SetText(Pass);
	AccountLogin_Login();
end
